﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Xtoman.Domain.WebServices.Payment.Mellat
{
    public enum MellatResponseMessage
    {
        [Display(Name="تراكنش با موفقیت انجام شد.")]
        Success = 0,
        [Display(Name="شماره كارت نامعتبر است")]
        CardNumberInvalid = 11,
        [Display(Name="موجودی كافی نیست")]
        CreditNotEnough = 12,
        [Display(Name="رمز نادرست است")]
        PasswordInvalid = 13,
        [Display(Name="تعداد دفعات وارد كردن رمز بیش از حد مجاز است")]
        PasswordEntryOverLimit = 14,
        [Display(Name="كارت نامعتبر است")]
        CardInvalid = 15,
        [Display(Name="دفعات برداشت وجه بیش از حد مجاز است")]
        WithdrawalCountOverLimit = 16,
        [Display(Name="كاربر از انجام تراكنش منصرف شده است")]
        UserCanceledTransaction = 17,
        [Display(Name="تاریخ انقضای كارت گذشته است")]
        CardDateExpired = 18,
        [Display(Name="مبلغ برداشت وجه بیش از حد مجاز است")]
        WithdrawalAmountOverLimit = 19,
        [Display(Name="صادر كننده كارت نامعتبر است")]
        CardIssuerInvalid = 111,
        [Display(Name="خطای سوییچ صادر كننده كارت")]
        CardIssuerSwitchError = 112,
        [Display(Name="پاسخی از صادر كننده كارت دریافت نشد")]
        CardIssuerNotResponded = 113,
        [Display(Name="دارنده كارت مجاز به انجام این تراكنش نیست")]
        CardOwnerAccessDenied = 114,
        [Display(Name="پذیرنده نامعتبر است")]
        AcceptorInvalid = 21,
        [Display(Name="خطای امنیتی رخ داده است")]
        SecurityError = 23,
        [Display(Name="اطلاعات كاربری پذیرنده نامعتبر است")]
        AcceptorAccountInvalid = 24,
        [Display(Name="مبلغ نامعتبر است")]
        AmountInvalid = 25,
        [Display(Name="پاسخ نامعتبر است")]
        ResponseInvalid = 31,
        [Display(Name="فرمت اطلاعات وارد شده صحیح نمی باشد")]
        BadRequestIncorrectData = 32,
        [Display(Name="حساب نامعتبر است")]
        AccountInvalid = 33,
        [Display(Name="خطای سیستمی")]
        SystemError = 34,
        [Display(Name="تاریخ نامعتبر است")]
        DateInvalid = 35,
        [Display(Name="شماره درخواست تكراری است")]
        RequestNumberDuplicate = 41,
        [Display(Name="یافت نشد Sale تراكنش")]
        SaleTransactionNotFound = 42,
        [Display(Name="داده شده است Verify قبلا درخواست")]
        VerifyReuestAlreadyGiven = 43,
        [Display(Name="یافت نشد Verfiy درخواست")]
        VerfiyRequestNotFound = 44,
        [Display(Name="شده است Settle تراكنش")]
        TransactionSettled = 45,
        [Display(Name="نشده است Settle تراكنش")]
        TransactionNotSettled = 46,
        [Display(Name="یافت نشد  تراكنش")]
        SettleTransactionNotFound = 47,
        [Display(Name="شده است Reverse تراكنش")]
        TransactionReserved = 48,
        [Display(Name="یافت نشد Refund تراكنش")]
        RefundTransactionNotFound = 49,
        [Display(Name="شناسه قبض نادرست است")]
        BillingCodeInvalid = 412,
        [Display(Name="شناسه پرداخت نادرست است")]
        PaymentCodeInvalid = 413,
        [Display(Name="سازمان صادر كننده قبض نامعتبر است")]
        BillingIssuerNotValid = 414,
        [Display(Name="زمان جلسه كاری به پایان رسیده است")]
        SessionEnded = 415,
        [Display(Name="خطا در ثبت اطلاعات")]
        DataEntryError = 416,
        [Display(Name="شناسه پرداخت كننده نامعتبر است")]
        PayerCodeInvalid = 417,
        [Display(Name="اشكال در تعریف اطلاعات مشتری")]
        CustomerInformationInvalid = 418,
        [Display(Name="تعداد دفعات ورود اطلاعات از حد مجاز گذشته است")]
        DataEntryOverLimit = 419,
        [Display(Name="نامعتبر است IP")]
        IPInvalid = 421,
        [Display(Name="تراكنش تكراری است ")]
        TransactionDuplicated = 51,
        [Display(Name="تراكنش مرجع موجود نیست ")]
        ReferenceTransactionNotExist = 54,
        [Display(Name="تراكنش نامعتبر است ")]
        TransactionInvalid = 55,
        [Display(Name="خطا در واریز ")]
        SettlementError = 61,
    }
}
